<?php
/*
============================================================================================================================
Silver Quantum - framework/misc/functions-head.php
============================================================================================================================
This primary.php template displays the primary navigation for this theme.

@package        silver_quantum WordPress Theme
@copyright      Copyright (C) 2018. Benjamin Lu
@license        GNU General Public License v2 or later (https://www.gnu.org/licenses/gpl-2.0.html)
@author         Benjamin Lu (https://benjlu.com)
============================================================================================================================
*/

/*
============================================================================================================================
Table of Content
============================================================================================================================
 1.0 - Meta Charset
 2.0 - Meta Viewport
 3.0 - GMPG Link
 4.0 - Pingback
============================================================================================================================
*/

/*
============================================================================================================================
 1.0 - Meta Charset
============================================================================================================================
*/ 
function silver_quantum_meta_charset() {
	printf('<meta charset="%s" />' . "\n", esc_attr(get_bloginfo('charset')));
}
add_action('wp_head', 'silver_quantum_meta_charset');

/*
============================================================================================================================
 2.0 - Meta Viewport
============================================================================================================================
*/
function silver_quantum_meta_viewport() {
    echo '<meta name="viewport" content="width=device-width, initial-scale=1" />' . "\n";
}
add_action('wp_head', 'silver_quantum_meta_viewport');

/*
============================================================================================================================
 3.0 - GMPG Link
============================================================================================================================
*/
function silver_quantum_link_gmpg() {
    echo '<link href="https://gmpg.org/xfn/11" rel="profile" />' . "\n";
}

/*
============================================================================================================================
 4.0 - Pingback
============================================================================================================================
*/
function silver_quantum_link_pingback() {
	if ('open' === get_option('default_ping_status')) {
		printf( '<link rel="pingback" href="%s" />' . "\n", esc_url(get_bloginfo('pingback_url')));
    }
}
add_action('wp_head', 'silver_quantum_link_pingback');
